Skip to content

Рекалькуляция платежа

Запрос для уточнения/изменения суммы платежа в случае, если QR динамичный.

Запрос:

curl -L -X POST 'https://api.payler.one/v2/qr/{id}/recalculate' \
-H 'Content-Type: application/json' \
-H 'Authorization: `access_token`' \
--data-raw '{
    "tlv": "<СТРОКА_ИЗ_QR_КОДА>",
    "amountTo": 1000 
}'

access_token: string (required) - Authorization: Bearer
{id}: uuid (required) - _id из ответа на запрос /qr
amountTo: int (required) - Сумма к оплате;

Разбор ответа:

  • Status 200:

    {
        "_id": "38f5461b-ff45-4c1e-84b3-9f6a782294b0",
        "status": "calculated",
        "amountFrom": 936.37,
        "amountTo": 1000,
        "currencyFrom": {
            "_id": "6e65cf3c-c39d-4c5d-9fb0-159a1c054f2d",
            "type": "FIAT",
            "code": "RUB",
            "symbol": "₽",
            "label": "рубль",
            "decimal": 2,
            "countryName": "Russia",
            "countryCode": "RU"
        },
        "currencyTo": {
            "_id": "9db8bdc0-fcba-46fb-8934-f7cada5be30c",
            "type": "FIAT",
            "code": "INR",
            "symbol": "₹",
            "label": "Rs",
            "decimal": 2,
            "countryName": "India",
            "countryCode": "IN"
        },
        "rate": 1.06795554,
        "reverseRate": 0.93636856,
        "isCustomAmount": true,
        "merchant": {
            "country": "IN",
            "name": "name",
            "accountNumber": "accountNumber",
            "mcc": "5399"
        },
        "metadata": {
            "personal": {
                "name": "Иванов Иван Иванович",
                "phone": "79998765432",
                "account": "123219873",
                "birthday": "04.06.1986",
                "passportType": "21",
                "countryCode": "RUS",
                "passportSeries": "1234",
                "passport": "567890",
                "passportIssuerCode": "123-000",
                "dateOfIssue": "12.12.2000",
                "issueDate": "12.12.2030",
                "address": "г. Москва, ул. Тверская, д. 1, кв. 10",
                "ip": "127.0.0.1",
                "email": "example@gmail.com"
            }
        },
        "createdAt": "2026-09-13T06:08:49.907Z",
        "expiredAt": "2026-09-13T06:13:49.907Z"
    }
    

  • Status 400: Invalid request, typically due to a missing or malformed parameter.

    {
    "error": "ERROR_ACCESS_TOKEN_INVALID",  
    "message": "Access token is invalid.",  
    "statusCode": 400  
    }
    

error: string (required)
message: string (required)
statusCode: number

  • Status 401: Authentication failed. This may happen due to the following reasons:
  • Authentication is required but not provided.
  • The access token has expired.
    {
    "error": "ERROR_TOKEN_EXPIRED",  
    "message": "Access token has expired.",  
    "statusCode": 401  
    }
    

error: string (required)
message: string (required)
statusCode: number

  • Status 403: QR code format not supported right now.
    { 
    "error": "ERROR_QR_CODE_NOT_SUPPORTED",  
    "message": "This QR code not supported.",  
    "statusCode": 403  
    }
    

error: string (required)
message: string (required)
statusCode: number

  • Status 404: QR code expired.
    { 
    "error": "QR_CODE_EXPIRED",  
    "message": "QR code expired.",  
    "statusCode": 404  
    }
    

error: string (required)
message: string (required)
statusCode: number

  • Status 405: No route found for this QR code.
{ 
"error": "ERROR_QR_NO_ROUTE_FOUND",  
"message": "Routing for this currency not set.",  
"statusCode": 405  
}

error: string (required)
message: string (required)
statusCode: number

  • Status 409: Conflict occurred because a deal with the same invoice ID already exists.
    { 
    "error": "TRANSACTION_ALREADY_EXISTS",  
    "message": "Transaction with same invoiceId already exists.",  
    "statusCode": 409  
    }
    

error: string (required)
message: string (required)
statusCode: number

  • Status 500: Project tariff not configured, pls contact with our support.
    {
      "error": "TARIFF_NO_FOUND",  
      "message": "Project tariff not configured, pls contact with our support.",  
      "statusCode": 500  
    }
    

error: string (required)
message: string (required)
statusCode: number

  • Status 501: Requested quote not found, pls contact with our support.
    {
      "error": "QUOTE_NOT_FOUND",  
      "message": "Requested quote not found, pls contact with our support.",  
      "statusCode": 501  
    }
    

error: string (required)
message: string (required)
statusCode: number